summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2018-10-21 16:12:56 -0400
committerVirgil Dupras <vdupras@gentoo.org>2018-10-21 16:52:54 -0400
commit7f0e62cbe6ca553e67bcc4cd4ceb5be3cf5862a6 (patch)
tree7cee1b8ec13edd83e3aebcdf9f1376072a690c91
parentnet-libs/libdom: remove old (diff)
downloadgentoo-7f0e62cbe6ca553e67bcc4cd4ceb5be3cf5862a6.tar.gz
gentoo-7f0e62cbe6ca553e67bcc4cd4ceb5be3cf5862a6.tar.bz2
gentoo-7f0e62cbe6ca553e67bcc4cd4ceb5be3cf5862a6.zip
net-libs/libhubbub: bump to 0.3.5
Bug: https://bugs.gentoo.org/636224 Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--net-libs/libhubbub/Manifest2
-rw-r--r--net-libs/libhubbub/libhubbub-0.3.5.ebuild33
2 files changed, 35 insertions, 0 deletions
diff --git a/net-libs/libhubbub/Manifest b/net-libs/libhubbub/Manifest
index 716a085ff01..89b343008e7 100644
--- a/net-libs/libhubbub/Manifest
+++ b/net-libs/libhubbub/Manifest
@@ -1,4 +1,6 @@
DIST libhubbub-0.3.3-src.tar.gz 783945 BLAKE2B 826b089708dea8a88a522f9889f81e420feb6c616ef7ad826303eca3ab39d4940cbc8bcbfcf61c979dc488d77b4d32fb24c0602b73ed28ea4e8076f369c93388 SHA512 28a5668257eda8cf1ca0395505522eb0f847a4cceee46de067fcfb171baa114876156a7e2671fff93602b2de63c640095e1a940e4725afb24bd14b4fd5f64526
DIST libhubbub-0.3.4-src.tar.gz 784522 BLAKE2B 462de8bf233a5ab8e6b90d20ea544b9efbcadd25421c1184544f99d5cebf4b8955d0d689f7fcf81246ff7fa38d5f6c6470542830f6c9c3390521dbaa44e239ac SHA512 3e97f8b8669d27d58026e73f4545462bf2cde4ffdb7f2435760311cef3655844146f5bcb448bd0a18345e7a345ff14c619229c8bd2e7c8d78d345ba480912f55
+DIST libhubbub-0.3.5-src.tar.gz 784526 BLAKE2B a7ba1be85ab01761894a1f2904fbcfbada0280c06ad0834288366f9ce42407a61978bbd775367cc064e367ad78bc792db66ad0e034ae6903c8ad5b44a1fc4d08 SHA512 57feb6ae74381e6b2c5c8a82aef7bcc5faf4a8303e41e39f4ba081a198c6f1225ec9952734ec97f20ba1b4fa3830543e43f4c2d2715b7a8467c19224a968073b
DIST netsurf-buildsystem-1.5.tar.gz 38196 BLAKE2B 298ef39d45b98ae5ef57a22aed9f22bf96dfd6ad5475964c04451eaf28aca7f451b4906002c3e110ffcc951015169f02ffcd85f24e54b46c47b25e048115db1c SHA512 02d85e8f1d2101194a678f7ccf84051390953285a46951d7b327556f8df1a0c416620bd4c7a615e25de438d5d27cfffb69ec5d94eb8379a295dab4c85a96cae4
DIST netsurf-buildsystem-1.6.tar.gz 38204 BLAKE2B 58ac4aa2676c019a69b53f5115c82b522aa7db7b2a039a36f227b06b1d031ddc1eed463b09bfd13aeabddc421b2de396b58f2f8f131c261d5633fcd7a85272de SHA512 65ecafb54fc79107cfdb0fbea6acd4cad1fc9f338dde2ed9a48de066e245b7804a16337769c7602c7ab96b0d7544970f533d8c4615913c09b5a9ca4b9386fb28
+DIST netsurf-buildsystem-1.7.tar.gz 38597 BLAKE2B d0981ef282ac0d93d81a1a6a6bee1fc2a0151c962be6ce2900a67843ba8ebc67e00508cded2a7375f6bbe0d45572690f127872936a282de80eb08655ac571603 SHA512 f6a46ac25f41e695ec13d7b2b564250c4cc44a40a688904eb17aa4b547c2df0102cc0effb7a23a2ffa6b9178ae5cf452b63980caf26e06e479168c85803f1e58
diff --git a/net-libs/libhubbub/libhubbub-0.3.5.ebuild b/net-libs/libhubbub/libhubbub-0.3.5.ebuild
new file mode 100644
index 00000000000..8277a2ae87c
--- /dev/null
+++ b/net-libs/libhubbub/libhubbub-0.3.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+NETSURF_BUILDSYSTEM=buildsystem-1.7
+inherit netsurf
+
+DESCRIPTION="HTML5 compliant parsing library, written in C"
+HOMEPAGE="http://www.netsurf-browser.org/projects/hubbub/"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~m68k-mint"
+IUSE="doc test"
+
+RDEPEND=">=dev-libs/libparserutils-0.2.1-r1[static-libs?,${MULTILIB_USEDEP}]
+ !net-libs/hubbub"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? ( dev-lang/perl
+ >=dev-libs/json-c-0.10-r1[${MULTILIB_USEDEP}] )"
+
+DOCS=( README docs/{Architecture,Macros,Todo,Treebuilder,Updated} )
+
+src_prepare() {
+ # working around broken netsurf eclass
+ default
+ sed -e '1i#pragma GCC diagnostic ignored "-Wimplicit-fallthrough"' \
+ -i test/tree2.c || die
+
+ multilib_copy_sources
+}